org.jclouds.vcloud.director.v1_5.features
Interface TaskApi


public interface TaskApi

Provides synchronous access to Task objects.

Author:
grkvlt@apache.org
See Also:
TaskAsyncApi

Method Summary
 void cancelTask(URI taskUri)
          Cancels a task.
 Task getTask(URI taskUri)
          Retrieves a task.
 TasksList getTaskList(URI orgURI)
          Retrieves a list of tasks.
 

Method Detail

getTaskList

TasksList getTaskList(URI orgURI)
Retrieves a list of tasks.
 GET /tasksList/{id}
 

Parameters:
orgURI - the URI of the organization
Returns:
a list of tasks

getTask

Task getTask(URI taskUri)
Retrieves a task.
 GET /task/{id}
 

Returns:
the task or null if not found

cancelTask

void cancelTask(URI taskUri)
Cancels a task.
 POST /task/{id}/action/cancel
 



Copyright © 2009-2012 jclouds. All Rights Reserved.